import('model.Component')

---@class SectionName : Component
SectionName = SectionHeaderButton:extendAs("model.toolbar.section.header.Name")

function SectionName:create(parent)
    local root = SectionName:createRoot(parent, {
        type = "textfield",
        style = "toolbar_content_sectionList_section_header_name" })
    root.lose_focus_on_confirm = true
    return SectionName:new(root)
end

function SectionName:new(root)
    return SectionName:super(Component:new(root))
end

function SectionName:focus()
    self:root().focus()
end

function SectionName:lock()
    self:root().enabled = false
end

function SectionName:unlock()
    self:root().enabled = true
end
