import('model.toolbar.header.ToolbarHeaderButton')

---@class ConfirmDeleteToolbar : ToolbarHeaderButton
ConfirmDeleteToolbar = ToolbarHeaderButton:extendAs("model.toolbar.header.ConfirmDelete")

function ConfirmDeleteToolbar:create(parent)
    local root = ConfirmDeleteToolbar:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_button_icon_green" })
    return ConfirmDeleteToolbar:new(root)
end

function ConfirmDeleteToolbar:new(element)
    return ConfirmDeleteToolbar:super(ToolbarHeaderButton:new(element))
end

function ConfirmDeleteToolbar:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():delete()
    end
end
