import('model.toolbar.header.ToolbarHeaderButton')
import('model.toolbar.header.Unlock')

---@class Lock : ToolbarHeaderButton
Lock = ToolbarHeaderButton:extendAs("model.toolbar.header.Lock")

function Lock:create(parent)
    local root = Lock:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_padlock-open",
        style = "toolbar_button_icon_black" })
    return Lock:new(root)
end

function Lock:new(root)
    return Lock:super(ToolbarHeaderButton:new(root))
end

function Lock:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():lock()
    end
end

function Lock:lock()
    self:replaceWith(Unlock:create(self:parent()))
end
