import('model.toolbar.section.header.SectionHeaderButton')

---@class CancelDeleteSection : SectionHeaderButton
CancelDeleteSection = SectionHeaderButton:extendAs("model.toolbar.section.header.CancelDelete")

function CancelDeleteSection:create(parent)
    local root = CancelDeleteSection:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_cancel",
        style = "toolbar_button_icon_red" })
    return CancelDeleteSection:new(root)
end

function CancelDeleteSection:new(element)
    return CancelDeleteSection:super(SectionHeaderButton:new(element))
end

function CancelDeleteSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():cancelDeletion()
    end
end
