import('model.toolbar.section.header.SectionHeaderButton')
import('model.toolbar.section.header.ExpandSection')

---@class CollapseSection : SectionHeaderButton
CollapseSection = SectionHeaderButton:extendAs("model.toolbar.section.header.Collapse")

function CollapseSection:create(parent)
    local root = CollapseSection:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_collapse",
        style = "toolbar_button_icon_black" })
    return CollapseSection:new(root)
end

function CollapseSection:new(element)
    return CollapseSection:super(SectionHeaderButton:new(element))
end

function CollapseSection:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():collapse()
    end
    self:replaceWith(ExpandSection:create(self:parent()))
end
