import('model.toolbar.section.header.SectionHeaderButton')

---@class ConfirmDeleteSection : SectionHeaderButton
ConfirmDeleteSection = SectionHeaderButton:extendAs("model.toolbar.section.header.ConfirmDelete")

function ConfirmDeleteSection:create(parent)
    local root = ConfirmDeleteSection:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_button_icon_green" })
    return ConfirmDeleteSection:new(root)
end

function ConfirmDeleteSection:new(element)
    return ConfirmDeleteSection:super(SectionHeaderButton:new(element))
end

function ConfirmDeleteSection:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():delete()
    end
end
