import('model.toolbar.section.header.SectionHeaderButton')

---@class MoveUp : SectionHeaderButton
MoveUp = SectionHeaderButton:extendAs("model.toolbar.section.header.MoveUp")

function MoveUp:create(parent)
    local root = MoveUp:createRoot(parent, {
        type = "sprite-button",
        sprite = "interface-mod_move-section-up",
        style = "toolbar_button_icon_black" })
    return MoveUp:new(root)
end

function MoveUp:new(element)
    return MoveUp:super(SectionHeaderButton:new(element))
end

function MoveUp:handleGuiEvent(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():moveUp()
    end
end

function MoveUp:lock()
    self:hide()
end

function MoveUp:unlock()
    self:show()
end
